ListTools.SeriesList (BioJava-1.5-beta API)
Keywords: org.biojava.utils.ListTools.SeriesList class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils
Class ListTools.SeriesList

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              org.biojava.utils.ListTools.SeriesList

All Implemented Interfaces:
  Iterable, Collection, List

Enclosing class:
  ListTools

    public static class ListTools.SeriesList

extends AbstractList

A list that represents a series of values.

This provides a simple list implementation that synthesises elements from a leading and trailing string and the index into the list.

For example, a SeriesList with leader "" and trailer ":" will contain values like "0:", "1:", "2:" and so on. A SeriesList with leader "Chapter " and trailer "" will have values like "Chapter 5".

Since:
  1.4
Author:
  Matthew Pocock

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Method Summary
`Object` | `get(int indx)`
`String` | `getLeader()`
`String` | `getTrailer()`
`int` | `size()`

Methods inherited from class java.util.AbstractList
`add, add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Method Detail

### getLeader

    public String getLeader()

### getTrailer

    public String getTrailer()

### size

    public int size()

  Specified by:
    `size` in interface `Collection`
  Specified by:
    `size` in interface `List`
  Specified by:
    `size` in class `AbstractCollection`

### get

    public Object get(int indx)

  Specified by:
    `get` in interface `List`
  Specified by:
    `get` in class `AbstractList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD